{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block body %}
<form method="post">
    {% if error %}
        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    {% if app.user %}
        <div class="mb-3">
            Vous êtes connecté(e) en tant que {{ app.user.userIdentifier }}, <a class="btn btn-warning" href="{{ path('app_logout') }}">Logout</a>
        </div>
    {% endif %}

    <div class="container mt-4">
        <div class="d-flex justify-content-center">
            <h1 class="h3 mb-3 font-weight-normal">Connexion</h1>
        </div>
        
        <label for="inputEmail">Email</label>
        <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" autocomplete="email" required autofocus>
        <label for="inputPassword">Mot de passe</label>
        <input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>

        <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
                    {#
                    Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
                    See https://symfony.com/doc/current/security/remember_me.html

                    <div class="checkbox mb-3">
                        <label>
                            <input type="checkbox" name="_remember_me"> Remember me
                        </label>
                    </div>
                    #}

        <div class="d-flex justify-content-center">
            <button class="btn btn-lg btn-primary mt-4" type="submit">Me connecter</button>
        </div>

        </form>
    </div>



{% endblock %}
